View Issue Details

IDProjectCategoryView StatusLast Update
0003812ScribusUser Interfacepublic2018-01-22 11:49
Reporterchristoph_s Assigned To 
PrioritynormalSeverityminorReproducibilityalways
Status acknowledgedResolutionopen 
PlatformanyOSanyOS Versionany
Product Version1.5.1 
Target VersionFixed in Version 
Summary0003812: Metabug: Grouped objects
DescriptionIssues with respect to grouping/ungrouping objects and related RFEs.

==PLEASE DON'T ADD ANY COMMENTS TO THIS METABUG==

If you wish to be notified about issues related to item groups, please click on the "Monitor Issue" button
Additional InformationSee the whole list of metabugs: http://wiki.scribus.net/index.php/Metabugs
TagsNo tags attached.
PatchNo

Relationships

parent of 0003792 closedfschmid wrong rotation displayed for group when changing properties 
parent of 0003794 feedback can't select multiple items out of groups 
parent of 0003791 closedfschmid wrong scaling of group with center basepoint 
parent of 0003797 closedfschmid can't add to a group 
parent of 0003799 confirmed Additional Selection Tool 
parent of 0003796 confirmed can't view or access groups overlapped by other groups (in outline or on canvas) 
parent of 0003784 closedfschmid Value for groups of rotated objects is always zero degrees. 
parent of 0003793 closedcbradney groups given needlessly large and negative numbers 
parent of 0003756 feedback Scale styles after rescaling frames^ 
parent of 0003608 closedfschmid resize errors with groups of rotated objects 
parent of 0003649 closed switching to group or ctrl-resizing can cause arbitrary resize 
parent of 0003578 feedback compound object styles 
parent of 0003724 closedplinnell ctrl-resize for groups doesn't always work and triggers resize 
parent of 0003717 closedfschmid can't add to a selection by drag-selection 
parent of 0003609 closedcbradney lock/unlock multiple objects in properties messes up coordinate display 
parent of 0003708 feedback group-level inheritance of defaults and style definitions 
parent of 0003672 feedback object sequences with relative properties 
parent of 0003727 closedcbradney group resize disables corner rounding option 
parent of 0003618 closedcbradney align and distribute with locked objects 
parent of 0003640 closedfschmid properties options displayed/enabled for groups based on individual item selected 
parent of 0003606 closedcbradney group/ungroup unavailable on context menu for locked items 
parent of 0003644 closedfschmid groups should flip as groups 
parent of 0003295 closedpierremarchand Display problems when entering rotation from keyboard 
parent of 0003424 closedfschmid coordinates in properties still display wrong for multiple selections/groups 
parent of 0003558 closedfschmid by layer mode in outline 
parent of 0003490 closedfschmid Group objects automatically during page import 
parent of 0003646 closedcbradney group command sometimes not available 
parent of 0003109 closedfschmid Changing line/fill properties of a group 
parent of 0001704 assignedfschmid Enhancement - Implement a 'clone' tool a la Inkscape 
parent of 0000605 closedavox CTRL+SHIFT doesn't work... 
parent of 0003523 closedcbradney group command is disabled after multiple duplicae 
parent of 0003260 closedcbradney Try to make grouped images visible makes crash 
parent of 0003107 closedfschmid Group objects in outline view. 
parent of 0002828 closedplinnell loss of group position when copying 
parent of 0003108 closedcbradney Grouped objects don't have working XYZ properties. 
parent of 0002980 closedavox Proportional resize of groups (inc tables) from a handle other than bot-right distorts shape on drop 
parent of 0002726 closedcbradney Properties not updated correctly in grouped selections. 
parent of 0002827 closedfschmid set options over group, 
parent of 0002908 closedcbradney Flipping a group of objects triggers crash 
parent of 0002399 closedfschmid Ctrl + drag resizing is broken 
parent of 0001747 closedfschmid Naming of Object Groups? 
parent of 0002129 closedringerc groupObjects API function and documentation are inconsistent. 
parent of 0002131 closedfschmid When a group is deleted the display isn't updated correctly. 
parent of 0002105 closedcbradney Deleting selected objects does not always delete all from the outline palette 
parent of 0002025 closedcbradney group locked objects 
parent of 0001933 closedfschmid Groups break, when duplicated an magnetic grid is activated 
parent of 0001915 acknowledged Resizing of groups of object that contains text doesnt resize that well 
parent of 0001612 closedsubik PATCH: fix moveObject and moveObjectAbs for groups 
parent of 0001449 closedfschmid Grouping text/bezier curve and then attach to path makes items disappear 
parent of 0001403 closedfschmid Selecting a group in the middle of the group near the edge of an item in the group can cause a resize 
parent of 0000583 closedfschmid if I try to change the level of a group, only the level of one object is changed 
parent of 0000828 closedfschmid Group members should be hidden for aligning and other operations 
parent of 0000813 closedfschmid Snap to Guides for moving and resizing of Groups 
parent of 0000703 closedfschmid guidelines interfere selecting a group of objects 
parent of 0000680 closedfschmid show grouped objects as grouped in the object manager 
parent of 0000604 closedfschmid Grouped items can be grouped again 
parent of 0000380 closedfschmid Issue with grouping locked and unlocked objects. Can move parts of resulting group. 
parent of 0000109 closedfschmid Mulitple selected items or grouped items do not all get sent to layer 
parent of 0000033 closedfschmid Add Group/Ungroup item to RMB menu 
parent of 0001974 closedfschmid Grouping items from different layers 
parent of 0005082 closedfschmid New groups cannot have properties like colours set on them 
parent of 0008826 new Being able to scale object or group of objects to a desired percentage 
parent of 0013072 confirmed Grouped items loose their text flow shape behaviour 
parent of 0011876 new line widths of outlines are changed when resizing a group of objects 
parent of 0012951 new wrong position when undoing a moved ungrouped svg item 
parent of 0012508 closedjghali Grouped Items might be wrongly exported/cropped to PDF 
parent of 0012203 confirmed Undo cannot restore the position of a group of items ungrouped in a PDF file 
parent of 0012245 closedfschmid grouped lines appear thicker 
parent of 0012354 closedfschmid Ungrouping items rotated/grouped/welded places them wrongly 
parent of 0011646 new Group size should follow size of grouped items 
parent of 0003423 confirmed remaining problems with resizing multiple text boxes 
parent of 0010255 new groups involved in temporary "select-copy-paste" maneuver erroneously super-grouped 
parent of 0012773 feedback Wrong text size in group after resizing. 
parent of 0013003 new don't create a group around single items copy pasted from inkscape 
parent of 0011224 feedbackfschmid Undoing ungrouping leads to strange results 
parent of 0012448 closedfschmid Resizing of a Group + Item is not correct 
parent of 0013074 confirmed After grouping [text|image] boxes one of them is missing lines/refresh 
parent of 0013134 closedfschmid 1.5 issue - after scaled multiple polygons - after duplication or copy / pasted skews proportion 
parent of 0013140 closedcbradney Inconsistent behaviour across OSes with grouped items 
parent of 0013149 new 1.5.x doesn't load 1.3.3.1 .sla grouped items correctly. 
parent of 0013169 closedfschmid Items with rotation between 91° and 269° are wrongly placed on canvas after Ungroup 
parent of 0013217 closedjghali large group incorrectly clipped on PDF output 
parent of 0013509 confirmed undo does not restore group correctly (only as individual unsequential ungrouped parts) 
parent of 0013508 closedfschmid impossible to resize the stroke line width of grouped items 
parent of 0013886 confirmed Strange functionality when resizing object within group 
parent of 0012491 confirmed Undo/Redo does not restore Group of Groups 
parent of 0012351 confirmed Redo does not restore actions applied after grouping items 
parent of 0013331 new Undo/Redo sets a wrong postion for items contained in a Group as Nodes are moved 
parent of 0013996 closedfschmid Grouping text frames will result in a loss of chained text arrows 
parent of 0013959 closedjghali Grouping text frames will result in a loss of chained text areas 
parent of 0014003 closedfschmid Grouped single linked text frame with another object has missing refresh text arrow issue 
parent of 0004491 confirmed weirdness changing multiple selected objects with some objects locked 
parent of 0014009 closedfschmid Objects in rotated groups are loosing it's position on ungrouping 
parent of 0009603 new When items are multi-selected, Stroke and Fill icon can not be activated. 
parent of 0014026 assignedfschmid Objects in rotated and moved groups are leaving artifacts once ungrouped 
parent of 0014043 closedfschmid Ungrouping with flipped objects, objects are not positioned correctly 
parent of 0012045 assignedjghali Flipped Frames don't resize/behave as expected (+ in groups) 
Not all the children of this issue are yet resolved or closed.

Activities

There are no notes attached to this issue.

Issue History

Date Modified Username Field Change
2006-05-13 16:43 christoph_s New Issue
2006-05-13 16:44 christoph_s Relationship added related to 0003799
2006-05-13 16:44 christoph_s Relationship added related to 0003792
2006-05-13 16:44 christoph_s Relationship added related to 0003794
2006-05-13 16:45 christoph_s Relationship deleted related to 0003799
2006-05-13 16:45 christoph_s Relationship deleted related to 0003792
2006-05-13 16:45 christoph_s Relationship deleted related to 0003794
2006-05-13 16:45 christoph_s Relationship added parent of 0003792
2006-05-13 16:46 christoph_s Relationship added parent of 0003794
2006-05-13 16:46 christoph_s Relationship added parent of 0003791
2006-05-13 16:47 christoph_s Relationship added parent of 0003797
2006-05-13 16:47 christoph_s Relationship added parent of 0003799
2006-05-13 16:48 christoph_s Relationship added parent of 0003796
2006-05-13 16:48 christoph_s Relationship added related to 0003784
2006-05-13 16:49 christoph_s Relationship deleted related to 0003784
2006-05-13 16:49 christoph_s Relationship added parent of 0003784
2006-05-13 16:50 christoph_s Relationship added parent of 0003793
2006-05-13 16:51 christoph_s Relationship added parent of 0003756
2006-05-13 16:51 christoph_s Relationship added parent of 0003608
2006-05-13 16:52 christoph_s Relationship added parent of 0003649
2006-05-13 16:53 christoph_s Relationship added parent of 0003578
2006-05-13 16:53 christoph_s Relationship added parent of 0003724
2006-05-13 16:54 christoph_s Relationship added parent of 0003717
2006-05-13 16:55 christoph_s Relationship added parent of 0003609
2006-05-13 16:55 christoph_s Relationship added parent of 0003708
2006-05-13 16:56 christoph_s Relationship added parent of 0003672
2006-05-13 16:56 christoph_s Relationship added parent of 0003727
2006-05-13 16:57 christoph_s Relationship added parent of 0003618
2006-05-13 16:58 christoph_s Relationship added parent of 0003640
2006-05-13 16:58 christoph_s Relationship added parent of 0003606
2006-05-13 16:58 christoph_s Relationship added parent of 0003644
2006-05-13 17:00 christoph_s Relationship added parent of 0003295
2006-05-13 17:00 christoph_s Relationship added parent of 0003424
2006-05-13 17:01 christoph_s Relationship added parent of 0003558
2006-05-13 17:02 christoph_s Relationship added parent of 0003490
2006-05-13 17:02 christoph_s Relationship added parent of 0003646
2006-05-13 17:03 christoph_s Relationship added parent of 0003109
2006-05-13 17:04 christoph_s Relationship added parent of 0001704
2006-05-13 17:05 christoph_s Relationship added parent of 0000605
2006-05-13 17:05 christoph_s Relationship added parent of 0003523
2006-05-13 17:07 christoph_s Relationship added parent of 0003260
2006-05-13 17:07 christoph_s Relationship added related to 0001974
2006-05-13 17:07 christoph_s Relationship added parent of 0003107
2006-05-13 17:08 christoph_s Relationship added parent of 0002828
2006-05-13 17:08 christoph_s Relationship added parent of 0003108
2006-05-13 17:09 christoph_s Relationship added parent of 0002980
2006-05-13 17:09 christoph_s Relationship added parent of 0002726
2006-05-13 17:10 christoph_s Relationship added parent of 0002827
2006-05-13 17:10 christoph_s Relationship added parent of 0002908
2006-05-13 17:11 christoph_s Relationship added parent of 0002399
2006-05-13 17:12 christoph_s Relationship added parent of 0001747
2006-05-13 17:13 christoph_s Relationship added parent of 0002129
2006-05-13 17:14 christoph_s Relationship added parent of 0002131
2006-05-13 17:15 christoph_s Relationship added parent of 0002105
2006-05-13 17:15 christoph_s Relationship added parent of 0002025
2006-05-13 17:16 christoph_s Relationship added parent of 0001933
2006-05-13 17:16 christoph_s Relationship added parent of 0001915
2006-05-13 17:17 christoph_s Relationship added parent of 0001612
2006-05-13 17:17 christoph_s Relationship added parent of 0001449
2006-05-13 17:17 christoph_s Relationship added parent of 0001403
2006-05-13 17:18 christoph_s Relationship added parent of 0000583
2006-05-13 17:18 christoph_s Relationship added parent of 0000828
2006-05-13 17:19 christoph_s Relationship added parent of 0000813
2006-05-13 17:19 christoph_s Relationship added parent of 0000703
2006-05-13 17:20 christoph_s Relationship added parent of 0000680
2006-05-13 17:20 christoph_s Relationship added parent of 0000604
2006-05-13 17:21 christoph_s Relationship added parent of 0000380
2006-05-13 17:21 christoph_s Relationship added parent of 0000109
2006-05-13 17:21 christoph_s Relationship added parent of 0000033
2006-05-13 18:58 christoph_s Relationship deleted related to 0001974
2006-05-13 18:58 christoph_s Relationship added parent of 0001974
2006-05-14 16:53 mhanski Description Updated
2006-07-02 22:13 mhanski Additional Information Updated
2007-01-05 00:39 cbradney Relationship added parent of 0005082
2008-02-06 17:57 christoph_s Status new => acknowledged
2014-09-18 21:48 Kunda Relationship added parent of 0008826
2015-05-21 12:32 Kunda Relationship added parent of 0013072
2015-05-21 12:34 Kunda Relationship added parent of 0011876
2015-05-21 12:35 Kunda Relationship added parent of 0012951
2015-05-21 12:36 Kunda Relationship added parent of 0012508
2015-05-21 12:37 Kunda Relationship added parent of 0012203
2015-05-21 12:37 Kunda Relationship added parent of 0012245
2015-05-21 12:38 Kunda Relationship added parent of 0012354
2015-05-21 12:38 Kunda Relationship added parent of 0011646
2015-05-21 12:45 Kunda Relationship added parent of 0003423
2015-05-21 12:46 Kunda Relationship added parent of 0010255
2015-05-21 12:49 Kunda Relationship added parent of 0012773
2015-05-21 12:51 Kunda Relationship added parent of 0013003
2015-05-21 12:52 Kunda Relationship added parent of 0011224
2015-05-21 12:52 Kunda Relationship added parent of 0012448
2015-05-21 14:00 Kunda Relationship added parent of 0013074
2015-06-13 18:15 Kunda Relationship added parent of 0013134
2015-06-13 18:26 Kunda Patch => No
2015-06-13 18:26 Kunda Product Version 1.3 => 1.5.1
2015-06-16 12:19 Kunda Relationship added parent of 0013140
2015-06-18 22:15 Kunda Relationship added parent of 0013149
2015-06-26 20:23 Kunda Relationship added parent of 0013169
2015-07-22 15:25 Kunda Relationship added parent of 0013217
2015-11-07 18:57 Kunda Relationship added parent of 0013509
2015-11-07 19:07 Kunda Relationship added parent of 0013508
2015-12-02 12:27 Kunda Issue cloned: 0013584
2016-03-31 15:57 Kunda Relationship added parent of 0013886
2016-03-31 16:10 Kunda Relationship added parent of 0012491
2016-03-31 16:11 Kunda Relationship added parent of 0012351
2016-04-08 11:54 Kunda Relationship added parent of 0013331
2016-04-30 19:24 Kunda Relationship added parent of 0013996
2016-04-30 19:24 Kunda Relationship added parent of 0013959
2016-04-30 19:40 Kunda Relationship added parent of 0014003
2016-05-02 02:03 Kunda Relationship added parent of 0004491
2016-05-02 02:03 Kunda Relationship added parent of 0014009
2016-05-09 16:24 Kunda Relationship added parent of 0009603
2016-05-10 12:03 Kunda Relationship added parent of 0014026
2016-05-10 12:07 Kunda Relationship added parent of 0014043
2016-05-11 03:48 Kunda Relationship added parent of 0012045